#21 Log4c printing date entries in GMT not localtime.

v1.2.4
closed-fixed
None
5
2013-10-05
2009-03-10
No

I'm currently using log4c in an application where its starts up as a daemon. The logging happens properly however, the times logged are in GMT.

I'm currently in EDT (-4 GMT) and as of Mar 10, 2009 at 13:29, it is logging as follows:

20090310 17:29:30.775 DEBUG protocol- storeLoopPkt: Returning...
20090310 17:29:30.775 DEBUG protocol- stationGetReadings: Returning...
20090310 17:29:45.775 DEBUG protocol- stationGetReadings: Starting...
20090310 17:29:45.776 DEBUG protocol- storeLoopPkt: Returning...
20090310 17:29:45.776 DEBUG protocol- storeLoopPkt: Returning...

Is there anyway to ensure that this is logging in Localtime instead of GMT ?

Thanks

Discussion

  • František Dvořák

    It is not supported in current code. But it should be easy to create a new layout for it. Current layout_type_dated_r.c has 66 lines. -- František

     
  • František Dvořák

    • assigned_to: František Dvořák
    • Group: --> v1.2.4
     
  • František Dvořák

    I've cleaned up a little the existing layouts and added local-time version of dated layouts. In CVS HEAD.

     
  • František Dvořák

    • status: open --> closed-fixed
     
  • František Dvořák

    Released in log4c 1.2.4.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks